%{
#include "test.tab.h"
#include <stdio.h>
#include <string.h>

int CURRENT_LINE_NUMBER;

%}

%%
"{"     { return LBRACE; }
"}"     { return RBRACE; }
\n      { CURRENT_LINE_NUMBER++; }
[^{}]+ {
        yylval.str = strdup(yytext);
        return TEXT;
       }
%%

int yywrap() {
    return 1;
}